# Uses of Interface
javax.security.sasl.SaslClient

Packages that use SaslClient
Package
Description
javax.security.sasl
Contains class and interfaces for supporting SASL.

## Uses of SaslClient in javax.security.sasl

Methods in javax.security.sasl that return SaslClient
Modifier and Type
Method
Description
`static SaslClient`
Sasl.`createSaslClient​(String[] mechanisms, String authorizationId, String protocol, String serverName, Map<String,​?> props, CallbackHandler cbh)`
Creates a `SaslClient` using the parameters supplied.
`SaslClient`
SaslClientFactory.`createSaslClient​(String[] mechanisms, String authorizationId, String protocol, String serverName, Map<String,​?> props, CallbackHandler cbh)`
Creates a SaslClient using the parameters supplied.